<template>
  <!-- BEGIN: Top Bar -->
  <div
    class="top-bar-boxed h-[70px] z-[51] relative border-b border-white/[0.08] -mt-7 md:-mt-5 -mx-3 sm:-mx-8 px-3 sm:px-8 md:pt-0 mb-12">
    <div class="h-full flex items-center">
      <!-- BEGIN: Logo -->
      <a href="" class="-intro-x hidden md:flex">
        <img alt="logo kmiers" class="h-10" src="@/assets/images/logo.svg" />
      </a>
      <!-- END: Logo -->
      <!-- BEGIN: Breadcrumb -->
      <nav aria-label="breadcrumb" class="-intro-x h-full mr-auto">
        <!-- <ol class="breadcrumb breadcrumb-light">
          <li class="breadcrumb-item"><a href="#">Application</a></li>
          <li class="breadcrumb-item active" aria-current="page">Dashboard</li>
        </ol> -->
      </nav>
      <!-- END: Breadcrumb -->
      <!-- BEGIN: Search -->
      <div class="intro-x relative mr-3 sm:mr-6">
        <!-- <div class="search hidden sm:block">
          <input type="text" class="search__input form-control border-transparent" placeholder="Search..."
            v-model="searchDropdown" @focus="showSearchDropdown" @blur="hideSearchDropdown" />
          <SearchIcon class="search__icon dark:text-slate-500" />
        </div>
        <a class="notification notification--light sm:hidden" href="">
          <SearchIcon class="notification__icon dark:text-slate-500" />
        </a> -->
      </div>
      <!-- END: Search -->
      <!-- BEGIN: Notifications -->
      <!-- <notification /> -->
      <div class="intro-x w-8 h-8" title="Login" v-if="!this.$store.state.status.loggedIn">
        <a class="w-8 h-8 rounded-full overflow-hidden shadow-lg zoom-in flex justify-center items-center text-white"
          data-tw-toggle="modal" data-tw-target="#login-modal">
          <LogInIcon class="block w-4 h-4" />
        </a>
        <ModalLogin />
      </div>
      <div class="intro-x dropdown w-8 h-8" v-if="this.$store.state.status.loggedIn">
        <div class="dropdown-toggle w-8 h-8 rounded-full overflow-hidden shadow-lg image-fit zoom-in scale-110"
          role="button" aria-expanded="false" data-tw-toggle="dropdown">
          <img alt="Icewall Tailwind HTML Admin Template" class="h-10" src="@/assets/images/user.png" >
        </div>
        <div class="dropdown-menu w-56">
          <div class="dropdown-menu__content box bg-theme-11 dark:bg-dark-6 text-white">
            <div class="p-4 border-b border-theme-12 dark:border-dark-3">
              <div class="font-medium">{{this.$store.state.user.user.name}}</div>
              <div class="text-xs text-theme-13 mt-0.5 dark:text-gray-600">{{this.$store.state.user.user.role}}</div>
            </div>
            <!-- <div class="p-2">
              <a href=""
                class="flex items-center block p-2 transition duration-300 ease-in-out hover:bg-theme-1 dark:hover:bg-dark-3 rounded-md">
                <vue-feather class="w-4 h-4 mr-2" type="user"></vue-feather> Profile
              </a>
            </div> -->
            <div class="p-2 border-t border-theme-12 dark:border-dark-3">
              <a href="/" @click="logout()"
                class="flex items-center block p-2 transition duration-300 ease-in-out hover:bg-theme-1 dark:hover:bg-dark-3 rounded-md">
                <vue-feather class="w-4 h-4 mr-2" type="toggle-right"></vue-feather> Logout
              </a>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <!-- END: Top Bar -->
</template>

<script>
  import ModalLogin from './../Auth/ModalLogin.vue'
  // import notification from './../Notification/Notification.vue'

  export default {
    name: "topBar",
    components: {
      ModalLogin,
      // notification
    },
    data() {
      return {
        // searchDropdown: false
      }
    },
    methods: {
      showSearchDropdown() {
        // this.searchDropdown = true;
      },
      hideSearchDropdown() {
        // this.searchDropdown = false;
      },
      logout() {
        localStorage.removeItem('user');
        this.$store.commit("setLogout");
        // this.$router.push({
        //   path:'/'  
        // })
      }
    },
  }
</script>